# SPDX-License-Identifier: AGPL-3.0-only
# A request the server could not make sense of. Rare from a browser,
# common from something speaking the wrong protocol at port 443.
parser: http-400
log: http
prefilter: '" 400 '
regex: '^(?P<ip>\S+) \S+ \S+ \[(?P<time>[^\]]+)\] "(?P<method>[A-Z]+) (?P<path>[^ "?]*)(?:\?(?P<query>[^ "]*))? [^"]*" 400 \d+ "(?P<referer>[^"]*)" "(?P<ua>[^"]*)"$'
time_field: time
time_format: nginx
